(function($) {
    'use strict';
    /**
     * All of the code for your admin-facing JavaScript source
     * should reside in this file.
     *
     * Note: It has been assumed you will write jQuery code here, so the
     * $ function reference has been prepared for usage within the scope
     * of this function.
     *
     * This enables you to define handlers, for when the DOM is ready:
     *
     * $(function() {
     *
     * });
     *
     * When the window is loaded:
     *
     * $( window ).load(function() {
     *
     * });
     *
     * ...and/or other possibilities.
     *
     * Ideally, it is not considered best practise to attach more than a
     * single DOM-ready or window-load handler for a particular page.
     * Although scripts in the WordPress core, Plugins and Themes may be
     * practising this, we should strive to set a better example in our own work.
     */
    $(document).on('submit','#ytc_api_setting',function(event){
        event.preventDefault();
        $('.yt-preloader').css('display', 'flex');  
		var yt_api_key = $('#ytc_api_values').val();
        if(yt_api_key == ''){
            toastr.error('Please Enter Api Key');
        }else{
            var formdata ='yt_api_key='+yt_api_key; 
                formdata += '&action=ytautocaptioncrafter_api_verify_save'; 
            $.ajax({
                url: ytautocaptioncrafter_ajax_path.url, 
                type: 'POST',
                data : formdata, 
                success: function (response) {
                    $(".yt-preloader").delay(800).fadeOut("slow");
                    $(".yt-preloader").delay(500).fadeOut("slow"); 
                    let res_data = JSON.parse(response); 
                    if(res_data.status=='success'){
                        toastr.success(res_data.msg); 
                            setTimeout(function(){
                               location.reload(); 
                            }, 1000); 
                    }else{   
                        toastr.error(res_data.msg);
                    }   
                }  
            }); 
        }

    });  
    /**
     * ytautocaptioncrafter Disconnect Api Settings
     */
    $(document).on('click','#ytc_customer_authentication_dissconnect_data',function(e){
        e.preventDefault();  
        let youtube_api_key = '';
        $('.yt-preloader').css('display', 'flex'); 
        var formdata ='youtube_api_key='+youtube_api_key; 
        formdata += '&action=ytautocaptioncrafter_api_disconnection'; 
        $.ajax({  
            url: ytautocaptioncrafter_ajax_path.url, 
            type: 'POST',
            data : formdata,  
            success: function (response) { 
                $(".yt-preloader").delay(800).fadeOut("slow");
                $(".yt-preloader").delay(500).fadeOut("slow"); 
                let res_data = JSON.parse(response); 
                if(res_data.status=='success'){
                    toastr.success(res_data.message); 
                    setTimeout(function(){
                         location.reload(); 
                        }, 1000); 
                }else{   
                    toastr.error(res_data.msg);
                }   
            }  
        }); 
    });
     
    $(document).on('click','.ytc-hover-icon',function(e){
        e.preventDefault(); 
        let video_url = $(this).attr('data-videourl');
        $('#yt_post_video_url').attr('src',video_url);
    }); 
    /**
     * Modal JS 
     */
    $(function() {
        $(document).on('click','[open-modal]', function(){
            $('body').addClass("ytc-modal-open");
            var id = $(this).attr('open-modal');
            $('.ytc-custom-modal#'+id).addClass('active');
        });
        $(document).on('click','[ytc-close-modal]', function(){
            $('body').removeClass("ytc-modal-open");
            $(this).parents('.ytc-custom-modal').removeClass('active');
        });
        $(document).on('click','.ytc-custom-modal', function(e) {
            if(e.target !== this){return};
            $(this).removeClass('active');
            $('body').removeClass("ytc-modal-open");
        });
    });
    /**
     * YT Container Video Filters
     */
    $(document).on('submit','#yt_videos_filter',function(e){
        e.preventDefault();  
        let search_key_words = $('#yt_video_search').val();
        let search_languach = $('#sort_by_Language').val();
        $('.yt-preloader').css('display', 'flex'); 
        var formdata ='search_key_words='+search_key_words+'&search_languach='+search_languach; 
        formdata += '&action=ytautocaptioncrafter_videos_filters'; 
        $.ajax({  
            url: ytautocaptioncrafter_ajax_path.url, 
            type: 'POST',
            data : formdata,  
            success: function (response) { 
                $(".yt-preloader").delay(800).fadeOut("slow");
                $(".yt-preloader").delay(500).fadeOut("slow"); 
                $('#yt_videos_data_loads').html(response);
            }  
        }); 
    });
    /**
	 * Yt Container Videos Text Save in Post
     */   
    $(document).on('submit','#ytc_post_creat_data',function(e){
        e.preventDefault();  
        let post_title = $("#post_title").val();
        let ytc_video_id = $("#ytc_video_id").val();
        let post_tags = $("#post_tags").val();
        let post_status = $("#post_status").val();
        let include_thumbnail = $("#include_thumbnail").val();
        let include_video_post = $("#include_video_post").val();
        let post_categories = $("#post_categories").val();
        let mycustomeditor = $("#mycustomeditor").val();
        let thumb_image_url = $("#thumb_image_url").val(); 
        $('.yt-preloader').css('display', 'flex');  
        var formdata ='post_title='+post_title+'&ytc_video_id='+ytc_video_id+'&post_tags='+post_tags+'&post_status='+post_status+'&include_thumbnail='+include_thumbnail+'&include_video_post='+include_video_post+'&post_categories='+post_categories+'&mycustomeditor='+mycustomeditor+'&thumb_image_url='+thumb_image_url;   
        formdata += '&action=ytautocaptioncrafter_videos_saveinpost';  
        $.ajax({  
            url: ytautocaptioncrafter_ajax_path.url, 
            type: 'POST',
            data : formdata,  
            success: function (response) { 
                $(".yt-preloader").delay(800).fadeOut("slow");
                $(".yt-preloader").delay(500).fadeOut("slow"); 
                let res_data = JSON.parse(response); 
                if(res_data.status=='success'){
                    toastr.success(res_data.msg); 
                    setTimeout(function(){
                         location.reload(); 
                        }, 1000); 
                }else{   
                    toastr.error(res_data.msg);
                }   
                 
                
            }  
        }); 
    });
    
    /**
     * Dowenload Text in File Format
     */
    $(document).on('click','#ytc_content_dowenload',function(){
         $('.yt-preloader').css('display', 'flex'); 
         const link = document.createElement("a");
         const content = $('#mycustomeditor').val();
         const post_title = $("#post_title").val();
         const file = new Blob([content], { type: 'text/plain' });
         link.href = URL.createObjectURL(file);
         link.download = post_title+".txt";
         link.click();
         URL.revokeObjectURL(link.href);
         $(".yt-preloader").delay(800).fadeOut("slow");
         $(".yt-preloader").delay(500).fadeOut("slow"); 
         toastr.success('Download Successfully'); 
    });
	/**
     * Chat Gpt General Api Setting JS
     */
	 $(document).on('click','#gpt_api_save_data',function(e) {
        e.preventDefault();	
		
        $('.gpt-preloader').css('display', 'flex');
        let api_key = $('#gpt_open_api_key').val();
        let model_option = $('#gpt_model_option').val();
        let temperature = $('#gpt_temperature').val();
        let max_tokens = $('#max_tokens').val();
        let top_p = $('#gpt_top_p').val();
        let best_of = $('#gpt_best_of').val();
        let frequency_penalty = $('#gpt_frequency_penalty').val();
        let presence_penalty = $('#gpt_presence_penalty').val();
        var post_list_data = [];
        $('.gpt_post_types:checked').each(function() {
            post_list_data.push($(this).val());
        });
        var formdata ='api_key='+api_key+'&model_option='+model_option+'&temperature='+temperature+'&max_tokens='+max_tokens+'&top_p='+top_p+'&best_of='+best_of+'&frequency_penalty='+frequency_penalty+'&presence_penalty='+presence_penalty+'&post_list_data='+post_list_data; 
        formdata += '&action=ytautocaptioncrafter_general_api_settings'; 
        $.ajax({
            url: ytautocaptioncrafter_ajax_path.url, 
            type: 'POST',
            data : formdata,  
            success: function (response) {
             let res_data = JSON.parse(response); 
             if(res_data.status==true){
                toastr.success(res_data.message); 
                $('.gpt_response_massage').html('<span style="color:green;">'+res_data.message+'</span>');
             }else{
                toastr.warning(res_data.message);
                $('.gpt_response_massage').html('<span style="color:red;">'+res_data.message+'</span>');
             }
             $(".gpt-preloader").delay(800).fadeOut("slow");
             $(".gpt-preloader").delay(500).fadeOut("slow");
             setTimeout(function(){
                $('.gpt_response_massage').hide();
             }, 5000);
            } 
        });		
    });
    /**
     * Chat Gpt Content Generator 
     */
    $(document).on('click','#gpt_post_page_content_generate',function(e){
        e.preventDefault();
          
        let title = $('#gpt_post_title').val();
        let post_id = $('#gpt_post_id').val();
        let add_image = $('#gpt_add_image').is(':checked'); 
        let feature_image = $('#gpt_feature_image').is(':checked');  
        let feature_image_size = $('#bpt_openai_image_size').val();  
        let openai_language = $('#gpt_openai_language').val(); 
        let number_of_paragraphs = $('#gpt_contain_para_number').val(); 
		
        if(title == ''){
            toastr.error('Please Enter Search Text');
            return false;
        }else{ 
            $('.gpt-preloader').css('display', 'flex');
            var formdata ='title='+title+'&post_id='+post_id+'&add_image='+add_image+'&feature_image='+feature_image+'&feature_image_size='+feature_image_size+'&openai_language='+openai_language+'&number_of_paragraphs='+number_of_paragraphs;   
            formdata += '&action=ytautocaptioncrafter_content_generator';
           
            $.ajax({
                url: ytautocaptioncrafter_ajax_path.url, 
                type: 'POST',
                data : formdata,  
                success: function (response) {
                    let res_data = JSON.parse(response); 
                    $(".gpt-preloader").delay(800).fadeOut("slow");
                    $(".gpt-preloader").delay(500).fadeOut("slow");
                    
                    
                    if(res_data.status==200){
                       
                        toastr.success(res_data.message); 
                        $('.gpt_response_massage').html('<span style="color:green;">'+res_data.message+'</span>');  
                        localStorage.setItem('search_post_content',res_data.content_data);
                        setTimeout(function(){
                        window.location.replace(res_data.post_url);
                        }, 500); 
                    }else{  
                         
                        if(res_data.status==429){
                          
                         }else{
                           toastr.error(res_data.message);
                           $('.gpt_response_massage').html('<span style="color:green;">'+res_data.message+'</span>');
                         }
                        
                    }
                } 
            }); 
       }
    }); 
   /**
    * Chat Gpt Content Writer
    */
    $(document).on('click','#gpt_sniper_content_writer',function(e){
        e.preventDefault();
        
        let title = $('#gpt_post_title').val();
        let post_id = $('#gpt_post_id').val();
        let add_image = $('#gpt_add_image').is(':checked'); 
        let feature_image = $('#gpt_feature_image').is(':checked');  
        let feature_image_size = $('#bpt_openai_image_size').val();  
        let openai_language = $('#gpt_openai_language').val(); 
        let number_of_paragraphs = $('#gpt_contain_para_number').val();  
        if(title == ''){
            toastr.error('Please Enter Search Text');
            return false;
        }else{ 
            $('.gpt-preloader').css('display', 'flex');
            var formdata ='title='+title+'&post_id='+post_id+'&add_image='+add_image+'&feature_image='+feature_image+'&feature_image_size='+feature_image_size+'&openai_language='+openai_language+'&number_of_paragraphs='+number_of_paragraphs;   
            formdata += '&action=ytautocaptioncrafter_content_generator'; 
            $.ajax({
                url: ytautocaptioncrafter_ajax_path.url, 
                type: 'POST',
                data : formdata,  
                success: function (response) {
                    let res_data = JSON.parse(response); 
                    $(".gpt-preloader").delay(800).fadeOut("slow");
                    $(".gpt-preloader").delay(500).fadeOut("slow"); 
                    if(res_data.status==200){
                        $('.gpt-content-writer').show(); 
                        toastr.success(res_data.message); 
                        $('#gpt_post_content').html(res_data.content_data);
                        $('.gpt_response_massage').html('<span style="color:green;">'+res_data.message+'</span>');  
                    }else{  
                        toastr.error(res_data.message);
                        $('.gpt_response_massage').html('<span style="color:green;">'+res_data.message+'</span>');
                    }
                } 
            }); 
       }
    }); 
	/**
    * Chat Gpt Images Generator 
    */
    $(document).on('click','#gpt_image_generate',function(e) {
        e.preventDefault();	
        $('.gpt-preloader').css('display', 'flex');
        var data_keys = $('#gpt_image_uset_input_text').val();
        var image_artist = $('#gpt_image_artist').val();
        var image_style = $('#gpt_image_style').val();
        var image_photography = $('#gpt_image_photography').val();
        var image_lighting = $('#gpt_image_lighting').val();
        var image_subject = $('#gpt_image_subject').val();
        var image_Camera = $('#gpt_image_Camera').val();
        var image_composition = $('#gpt_image_composition').val();
        var images_resolution = $('#gpt_images_resolution').val();
        var image_color = $('#gpt_image_color').val();
        var image_effects = $('#gpt_image_effects').val();
        var image_size = $('#gpt_image_size').val();
        var image_number_of = $('#gpt_image_number_of').val();
        var formdata ='data_keys='+data_keys+'&image_artist='+image_artist+'&image_style='+image_style+'&image_photography='+image_photography+'&image_lighting='+image_lighting+'&image_subject='+image_subject+'&image_Camera='+image_Camera+'&image_composition='+image_composition+'&images_resolution='+images_resolution+'&image_color='+image_color+'&image_effects='+image_effects+'&image_size='+image_size+'&image_number_of='+image_number_of;  
        formdata += '&action=ytautocaptioncrafter_openai_img_generator'; 
        $.ajax({
            url: ytautocaptioncrafter_ajax_path.url, 
            type: 'POST',
            data : formdata, 
            success: function (response) {
             $(".gpt-preloader").delay(800).fadeOut("slow");
             $(".gpt-preloader").delay(500).fadeOut("slow");
             $('.gpt-image-results').html(response);
            }  
        }); 
    });
    
})(jQuery);