<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://#
 * @since      1.0.0
 *
 * @package    Ytautocaptioncrafter
 * @subpackage Ytautocaptioncrafter/admin/partials
 */
?>
<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<!-- POSTING Data Filter Screen  -->
<div class="ytc-main-wrapper">
    <!-- Page Title -->
    <div class="ytc-title">
     <h4><?php echo esc_html__('Yt Auto Caption Crafter', 'yt-autocaptioncrafter'); ?></h4>
    </div> 
    <!--Page Content -->
    <div class="ytc-page-content has-two-col">
        <div class="ytc-page-innner">
            <div class="ytc-post-filter-wrap">
                    <!-- Youtube Filter  -->
                    <div class="ytc-filter-wrap">
                      <form id="yt_videos_filter" method="POST">
                        <div class="ytc-filter-aside">
                                <div class="ytc-input-wrapper">
                                    <label><?php echo esc_html__('Enter keyword','yt-autocaptioncrafter'); ?></label>
                                    <input type="text" id="yt_video_search" name="yt_video_search" placeholder="<?php echo esc_attr__('Enter keyword','yt-autocaptioncrafter'); ?>">
                                </div>
                                <div class="ytc-input-wrapper">
                                    <label><?php echo esc_html__('Language','yt-autocaptioncrafter'); ?></label>
                                    <select id="sort_by_Language" name="sort_by_Language">
                                        <option value="en" selected="">
                                        <?php echo esc_html__('English','yt-autocaptioncrafter'); ?>
                                        </option>
                                        <option value="ar"><?php  echo esc_html__('Arabic','yt-autocaptioncrafter'); ?></option>
                                        <option value="bg"><?php  echo esc_html__('Bulgarian','yt-autocaptioncrafter'); ?></option>
                                        <option value="cdo"><?php  echo esc_html__('Chinese','yt-autocaptioncrafter'); ?></option>
                                        <option value="hr"><?php  echo esc_html__('Croatian','yt-autocaptioncrafter'); ?></option>
                                        <option value="cs"><?php  echo esc_html__('Czech','yt-autocaptioncrafter'); ?></option>
                                        <option value="da"><?php  echo esc_html__('Danish','yt-autocaptioncrafter'); ?></option>
                                        <option value="nl"><?php  echo esc_html__('Dutch','yt-autocaptioncrafter'); ?></option>
                                        <option value="Filipino"><?php echo esc_html__('Filipino','yt-autocaptioncrafter'); ?></option>
                                        <option value="fi"><?php  echo esc_html__('Finnish','yt-autocaptioncrafter'); ?></option>
                                        <option value="fr"><?php  echo esc_html__('French','yt-autocaptioncrafter'); ?></option>
                                        <option value="de"><?php  echo esc_html__('German','yt-autocaptioncrafter'); ?></option>
                                        <option value="el"><?php  echo esc_html__('Greek','yt-autocaptioncrafter'); ?></option>
                                        <option value="he"><?php  echo esc_html__('Hebrew','yt-autocaptioncrafter'); ?></option>
                                        <option value="hi"><?php  echo esc_html__('Hindi','yt-autocaptioncrafter'); ?></option>
                                        <option value="hu"><?php  echo esc_html__('Hungarian','yt-autocaptioncrafter'); ?></option>
                                        <option value="id"><?php  echo esc_html__('Indonesian','yt-autocaptioncrafter'); ?></option>
                                        <option value="it"><?php  echo esc_html__('Italian','yt-autocaptioncrafter'); ?></option>
                                        <option value="ja"><?php  echo esc_html__('Japanese','yt-autocaptioncrafter'); ?></option>
                                        <option value="ko"><?php  echo esc_html__('Korean','yt-autocaptioncrafter'); ?></option>
                                        <option value="lv"><?php  echo esc_html__('Latvian','yt-autocaptioncrafter'); ?></option>
                                        <option value="lt"><?php  echo esc_html__('Lithuanian','yt-autocaptioncrafter'); ?></option>
                                        <option value="ml"><?php  echo esc_html__('Malay','yt-autocaptioncrafter'); ?></option>
                                        <option value="nn"><?php  echo esc_html__('Norwegian','yt-autocaptioncrafter'); ?></option>
                                        <option value="pl"><?php  echo esc_html__('Polish','yt-autocaptioncrafter'); ?></option>
                                        <option value="pt"><?php  echo esc_html__('Portuguese','yt-autocaptioncrafter'); ?></option>
                                        <option value="ro"><?php  echo esc_html__('Romanian','yt-autocaptioncrafter'); ?></option>
                                        <option value="ru"><?php  echo esc_html__('Russian','yt-autocaptioncrafter'); ?></option>
                                        <option value="sr"><?php  echo esc_html__('Serbian','yt-autocaptioncrafter'); ?></option>
                                        <option value="sk"><?php  echo esc_html__('Slovak','yt-autocaptioncrafter'); ?></option>
                                        <option value="sl"><?php  echo esc_html__('Slovenian','yt-autocaptioncrafter'); ?></option>
                                        <option value="es"><?php  echo esc_html__('Spanish','yt-autocaptioncrafter'); ?></option>
                                        <option value="sv"><?php  echo esc_html__('Swedish','yt-autocaptioncrafter'); ?></option>
                                        <option value="th"><?php  echo esc_html__('Thai','yt-autocaptioncrafter'); ?></option>
                                        <option value="tr"><?php  echo esc_html__('Turkish','yt-autocaptioncrafter'); ?></option>
                                        <option value="vi"><?php  echo esc_html__('Vietnamese','yt-autocaptioncrafter'); ?></option>
                                    </select>
                                </div>
                                <div class="ytc-input-wrapper ytc-btn-wrap">
                                   <button type="submit" name="Submit" class="ytc-btn">
                                    <?php esc_html_e('Search', 'yt-autocaptioncrafter'); ?>
                                   </button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <!-- Youtube Data  -->
                    <div class="ytc-filted-data">
                        <div class="ytc-filted-data-inner">
                            <div class="ytc-col-grid" id="yt_videos_data_loads">
                                <?php 
                                if(!empty($ytdata['items'])):
                                foreach($ytdata['items'] as $postvideo_list):
                                if(!empty($postvideo_list['snippet']['title'])):
                                    $JSON = wp_remote_get("https://www.googleapis.com/youtube/v3/videos?part=statistics&id=" . $postvideo_list['id']['videoId']. "&key=".$youtube_api);
                                    $JSON_Data = json_decode($JSON['body'],true);
                                ?> 
                                <div class="ytc-thumb-box">
                                    <?php
                                    if(isset($postvideo_list['snippet']['thumbnails']['high']['url'])): ?>
                                        <div class="ytc-thumb-video">
                                            <a href="#" open-modal="videoModal" class="ytc-modal-link">
                                                <img src="<?php echo esc_url($postvideo_list['snippet']['thumbnails']['high']['url']); ?>" alt="<?php echo esc_attr($postvideo_list['snippet']['title']); ?>"> 
                                                <span class="ytc-hover-icon" data-videourl="<?php echo esc_url('https://www.youtube.com/embed/'.esc_attr($postvideo_list['id']['videoId'])); ?>"> 
                                                    <svg xmlns="http://www.w3.org/2000/svg" version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svgjs="http://svgjs.com/svgjs" x="0" y="0" viewBox="0 0 512 512" xml:space="preserve"><g><path d="m484.102 263.836 4.8-7.836-4.8-7.84c-.805-1.308-20.118-32.48-57.637-63.719-49.903-41.543-108.692-63.504-170.016-63.504-61.308 0-120.242 21.95-170.43 63.473-37.734 31.223-57.265 62.371-58.078 63.684L23.04 256l4.902 7.906c.813 1.313 20.344 32.461 58.079 63.684 50.187 41.523 109.12 63.472 170.43 63.472 61.323 0 120.112-21.96 170.015-63.503 37.52-31.239 56.832-62.41 57.637-63.723zm-77.63 41.324c-44.89 37.094-95.367 55.899-150.023 55.899-54.676 0-105.316-18.817-150.511-55.934C82.563 285.93 66.715 266.492 58.953 256c7.766-10.5 23.613-29.934 46.985-49.129 45.195-37.113 95.832-55.934 150.511-55.934 54.656 0 105.13 18.81 150.024 55.899 23.27 19.226 38.98 38.691 46.636 49.164-7.664 10.477-23.37 29.941-46.636 49.16zm0 0" fill="currentColor" /><path d="M256 165.867c-49.7 0-90.133 40.434-90.133 90.133s40.434 90.133 90.133 90.133 90.133-40.434 90.133-90.133-40.434-90.133-90.133-90.133zm0 150.266c-33.156 0-60.133-26.977-60.133-60.133s26.977-60.133 60.133-60.133 60.133 26.977 60.133 60.133-26.977 60.133-60.133 60.133zM30 30h62.625V0H0v91.5h30zM419.375 0v30H482v61.5h30V0zM30 420.5H0V512h92.625v-30H30zM482 482h-62.625v30H512v-91.5h-30zm0 0" fill="currentColor" /></g></svg>
                                                </span>
                                            </a>
                                        </div>
                                    <?php endif; ?>
                                    <div class="ytc-thumb-content">
                                        <?php if(!empty($postvideo_list['snippet']['title'])): ?>
                                        <h4><?php echo esc_html($postvideo_list['snippet']['title']); ?></h4>
                                        <?php endif; ?>
                                        <ul class="yt-post-info">
                                            <li>
                                            <span>
                                            <img src="<?php echo esc_url(plugins_url('ytauto-captioncrafter/admin/images/like.svg')); ?>" alt="<?php echo esc_attr__('Likes','yt-autocaptioncrafter'); ?>" />
                                            </span>
                                            <?php if(isset($JSON_Data['items'][0]['statistics']['likeCount'])): ?>
                                            <?php 
                                            echo ytautocaptioncrafter_format_number($JSON_Data['items'][0]['statistics']['likeCount']); 
                                            echo esc_html__(' Likes','yt-autocaptioncrafter'); 
                                            ?>
                                            </li> 
                                            <li>
                                            <span>
                                            <img src="<?php echo esc_url(plugins_url('ytauto-captioncrafter/admin/images/views.svg')); ?>" alt="<?php echo esc_attr__('Views','yt-autocaptioncrafter'); ?>" />
                                            </span> 
                                            <?php endif;
                                            if(isset($JSON_Data['items'][0]['statistics']['viewCount'])):
                                            ?>
                                            <?php echo ytautocaptioncrafter_format_number($JSON_Data['items'][0]['statistics']['viewCount']); ?> <?php echo esc_html__('Views','yt-autocaptioncrafter'); ?>
                                            <?php endif; ?>
                                            </li>
                                        </ul>
                                        <?php 
                                        endif;
                                        if(isset($postvideo_list['id']['videoId'])): ?>
                                        <div class="ytc-thumb-btn">
                                            <a href="<?php echo admin_url('admin.php?page=ytautocaptioncrafter-setting&vid='.esc_attr($postvideo_list['id']['videoId'])); ?>" class="ytc-btn">
                                             <?php echo esc_html__('Create Post','yt-autocaptioncrafter'); ?>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                                <?php  
                                  endif;
                                 endforeach;
                                else:
                                    if(isset($ytdata['error']['message'])):
                                     echo "<h1>".wp_kses($ytdata['error']['message'],true)."</h1>";
                                    else:
                                      echo "<h1>".esc_html__('Result is not found!','yt-autocaptioncrafter')."</h1>";
                                    endif;
                                endif; 
                                ?>
                             </div>
                         </div>
                     </div>
                </div>
            </div>
      </div>
</div>
<!-- List Video Model -->
<div id="videoModal" class="ytc-custom-modal">
    <div class="ytc-custom-modal-dialog">
        <div class="ytc-custom-modal-content">
            <span class="ytc-close-modal" ytc-close-modal><?php echo esc_html__('X','yt-autocaptioncrafter'); ?></span>
            <div class="ytc-custom-modal-body">
                <div class="ytc-custom-modal-inner">
                    <!-- Video here -->
                    <div class="ytc-video-wrapper">
                        <iframe id="yt_post_video_url" src="<?php echo esc_url('https://www.youtube.com/embed/yOzf4aUGb8o'); ?>" title="<?php echo esc_attr__('YouTube video player','yt-autocaptioncrafter'); ?>" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="yt-preloader">
	<img src="<?php echo esc_url(plugins_url( 'ytauto-captioncrafter/admin/images/yt-preloader.svg')); ?>" alt="<?php echo esc_attr__('Preloader','yt-autocaptioncrafter'); ?>" />
</div> 